package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.entity.CourseSchedule.CourseScheduleType;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(organization_course_unit_price_settings):
 */
public class OrganizationCourseDurationSettings {

	/**  */
	private Integer id;
	
	/**  */
	private Integer organId;
	
	/** 课程类型 */
	private CourseScheduleType courseType;

	/** 课程时长 */
	private String duration;

	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	private Organization organ = new Organization();

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setOrganId(Integer organId){
		this.organId = organId;
	}
	
	public Integer getOrganId(){
		return this.organId;
	}
			
	public CourseScheduleType getCourseType() {
		return courseType;
	}

	public void setCourseType(CourseScheduleType courseType) {
		this.courseType = courseType;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}


	public Organization getOrgan() {
		return organ;
	}

	public void setOrgan(Organization organ) {
		this.organ = organ;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

	public String getDuration() {
		return duration;
	}

	public void setDuration(String duration) {
		this.duration = duration;
	}
}
